import board
import pwmio

for pin_name in dir(board):
  pin = getattr(board, pin_name)
  try:
    p = pwmio.PWMOut(pin)
    p.deinit()
    print("PWM on:", pin_name)     # Prints the PWM-capable pins!
  except ValueError:               # Error: the pin is invalid
    print("No PWM on:", pin_name)  # Prints the invalid pins
  except RuntimeError:             # Timer conflict error
    print("Timers in use:", pin_name)  # Prints the timer conflict pins
  except TypeError:                # Error: non-pin object
    pass                           # Passes non-pin objects
